DCMTK: DSRDocumentTreeNodeObservationDateTimeFilter Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DSRDocumentTreeNodeObservationDateTimeFilter Class Reference

Class implementing a document tree node filter that checks for a given range of observation date/time values. More...

Inheritance diagram for DSRDocumentTreeNodeObservationDateTimeFilter:

## Public Member Functions
| DSRDocumentTreeNodeObservationDateTimeFilter (const OFString &fromDateTime, const OFString &toDateTime)
| constructor.
virtual | ~DSRDocumentTreeNodeObservationDateTimeFilter ()
| destructor
virtual OFBool | matches (const DSRDocumentTreeNode *node) const
| check whether given node matches the filter criterion (observation date/time)
Public Member Functions inherited from DSRDocumentTreeNodeFilter
virtual | ~DSRDocumentTreeNodeFilter ()
| destructor

## Private Attributes
const OFString | FromDateTime
| start observation date/time to check for (as a string, might be empty)
const OFString | ToDateTime
| end observation date/time to check for (as a string, might be empty)
OFDateTime | FromDateTimeValue
| start observation date/time to check for (as a converted OFDateTime instance)
OFDateTime | ToDateTimeValue
| end observation date/time to check for (as a converted OFDateTime instance)

## Detailed Description

Class implementing a document tree node filter that checks for a given range of observation date/time values.

## Constructor & Destructor Documentation

## ◆ DSRDocumentTreeNodeObservationDateTimeFilter()

DSRDocumentTreeNodeObservationDateTimeFilter::DSRDocumentTreeNodeObservationDateTimeFilter | ( | const OFString & | fromDateTime,
|  | const OFString & | toDateTime )

constructor.

Empty date/time values are not used for checking. E.g. if only 'fromDateTime' is specified (non-empty) all moments in time subsequent to and including it match. If both date/time values are empty, only an empty observation date/time of the document tree node matches.

Parameters

  fromDateTime | start observation date/time to check for (might be empty)
  toDateTime | end observation date/time to check for (might be empty)

## Member Function Documentation

## ◆ matches()

virtual OFBool DSRDocumentTreeNodeObservationDateTimeFilter::matches | ( | const DSRDocumentTreeNode * | node | ) | const
| virtual

check whether given node matches the filter criterion (observation date/time)

Parameters

  node | pointer to the node to be checked

Returns
  OFTrue if 'node' matches the filter criterion, OFFalse otherwise

Implements DSRDocumentTreeNodeFilter.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrdnflt.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2